moeoHybridMOLS(3)

NAME
moeoHybridMOLS - This class allows to apply a multi-objective local search to a number of selected individuals contained in the archive at every generation until a stopping criteria is verified.

SYNOPSIS

#include <moeoHybridMOLS.h>

Inherits eoUpdater.

  Public Member Functions
eoHybridMOLS (eoContinue< EOT > &_term, eoSelect< EOT > &_select, moeoMOLS< EOT > &_mols, moeoArchive< EOT > &_arch)
Ctor.
void operator() ()
Applies the multi-objective local search to selected individuals contained in the archive if the stopping criteria is not verified.

  Private Attributes
eoContinue< EOT > & term
stopping criteria
eoSelect< EOT > & select
selector
moeoMOLS< EOT > & mols
multi-objective local search
moeoArchive< EOT > & arch
archive

Detailed Description

  template<class EOT> class moeoHybridMOLS< EOT >
This class allows to apply a multi-objective local search to a number of selected individuals contained in the archive at every generation until a stopping criteria is verified.

Definition at line 27 of file moeoHybridMOLS.h.

Member Function Documentation

  template<class EOT> moeoHybridMOLS< EOT >::eoHybridMOLS (eoContinue< EOT > & _term, eoSelect< EOT > & _select, moeoMOLS< EOT > & _mols, moeoArchive< EOT > & _arch) [inline]

Ctor.

Parameters:
    _term stopping criteria
    _select selector
    _mols a multi-objective local search
    _arch the archive

Definition at line 38 of file moeoHybridMOLS.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.